edu.isi.pegasus.planner.code.generator

## Class SendMetricsResult

- java.lang.Object
- - edu.isi.pegasus.planner.code.generator.SendMetricsResult

    class SendMetricsResult
    extends java.lang.Object

### Field Summary

Fields
`private int` `mResponseCode`
`private java.lang.String` `mResponseMessage`

### Constructor Summary

Constructors
Constructor and Description
`SendMetricsResult()`
`SendMetricsResult(int code, java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCode()`
`java.lang.String` `getResponseMessage()`
`void` `setCode(int code)`
`void` `setResponseMessage(java.lang.String response)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mResponseCode

    private int mResponseCode

#### mResponseMessage

    private java.lang.String mResponseMessage

### Constructor Detail

#### SendMetricsResult

    public SendMetricsResult()

#### SendMetricsResult

    public SendMetricsResult(int code,
                             java.lang.String message)

### Method Detail

#### setCode

    public void setCode(int code)

#### setResponseMessage

    public void setResponseMessage(java.lang.String response)

#### getCode

    public int getCode()

#### getResponseMessage

    public java.lang.String getResponseMessage()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`